I use subtitles always.. and it gives let's write some neat code 😂😂
@runabishek11 ай бұрын
Please don't skip posting videos😅
@dingus233211 ай бұрын
To be fair , questions asked in that time frame , were not that deep
@shashankgupta519211 ай бұрын
Finally you are back!!❤
@MP-ny3ep11 ай бұрын
Great explanation as always. Thank you very much.
@mrgeorgy9311 ай бұрын
I got my Amazon offer yesterday, largerly thanks to your channel!
@NeetCodeIO11 ай бұрын
HAPPY FOR YOU ❤️🚀🔥
@dumbfailurekms11 ай бұрын
sometimes u are literally the only light in my eternal dark hell
@LeetCodeUzbekistan11 ай бұрын
bro in the moring I looked for your video, I could solve this by my own and then you publishing this video which is the exact same algorithm 😅
@aksharpathak522611 ай бұрын
thanks bro for uploading the video.......I thought you stopped solving leetcode
@Itachi-mr8nj11 ай бұрын
Bro is gonna pretend like he didn't go missing for a few days
@rahulchauhan.11 ай бұрын
One can adapt this problem to find the maximum falling path too!
@ahmedtremo11 ай бұрын
Welcome back :D
@alviahmed738811 ай бұрын
When will you stream next?
@XEQUTE11 ай бұрын
Please do daily neetcode problems or update the community posts with links to earlier solved problems please I do not want to watch any other channel
@NeetCodeIO11 ай бұрын
Sure, will do!
@Pegasus02Kr11 ай бұрын
Is it truly a solution for medium difficulty problem? was much harder to understand than most of hard problem for me..
@justintang631311 ай бұрын
Is the DP solution top-down or bottom-up?
@imretakacs895211 ай бұрын
At line 8, should not that be c >= 0 instead of c > 0.
@mikerico617511 ай бұрын
Could do += line 10 and use inf instead of float(“inf”)
@phatboislym11 ай бұрын
what is "line 10"?
@mikerico617511 ай бұрын
@@phatboislymmatrix[r][c] = matrix[r][c] + …. instead just do matrix[r][c] +=
@BirajDahal-z6u11 ай бұрын
@@phatboislym you can avoid by managing index inside the indexing as well like this: I used extra dp matrix but you can use the same input array to do this as well def minFallingPathSum(self, matrix: List[List[int]]) -> int: m, n = len(matrix), len(matrix[0]) dp = [[0 for _ in range(n)] for _ in range( m+1)] for i in range(m-1, -1, -1): for j in range(n): dp[i][j] =min(matrix[i][j]+dp[i+1][max(0,j-1)], matrix[i][j]+dp[i+1][j], matrix[i][j]+ dp[i+1][min(n-1,j+1)]) return min(dp[0])
@Dancedfsk811 ай бұрын
Finally!
@rohitsharma45-q2l11 ай бұрын
why i am getting tle??? class Solution { public int minFallingPathSum(int[][] matrix) { int n=matrix.length,m=matrix[0].length; int min=Integer.MAX_VALUE; int dp[][]=new int[n][m]; for(int row[]:dp) { Arrays.fill(row,-1); } for(int i=0;i
@elyababakova212511 ай бұрын
A nice problem to revise classic DP solutions. Thanks for video, I was missing your daily solutions! BTW @NeetCodeIO, I wonder wether you've bought a leetcode T-Shirt for leetcoins? :)
@aksimsons11 ай бұрын
Anyone getting TLE for running recursive solution in Java? This is my code:- class Solution { public int dfs(int row,int column,int[][] matrix,HashMap s){ int n=matrix.length; if(row==n ) return 0; if(column==n || column